System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

A visual designer can display the specified description when referencing the component member, such as in a Properties window. Call to access the value of this attribute.

For more information, see Extending Metadata Using Attributes.

Specifies a description for a property or event.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with no parameters.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with a description.

  The description text.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DescriptionAttribute To be added

  Specifies the default value for the , which is an empty string (""). This static field is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the description stored in this attribute.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The default implementation of the property simply returns this value.

  This extra property exists so that you can derive from and provide a localized version. The derived localizable will maintain a private Boolean field to indicate if it has been localized. On the first access to the property, it will look up the localized string and store it back in the property.

  Gets or sets the string stored as the description.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the value of the given object is equal to the current .

  true if the value of the given object is equal to that of the current; otherwise, false.

  The object to test the value equality of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean

  The default value is an empty string ("").

  Returns a value indicating whether this is the default instance.

  true, if this is the default instance; otherwise, false.